db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Kathey Marsden (JIRA)" <j...@apache.org>
Subject [jira] Commented: (DERBY-2564) ContextService.notifyAllActiveThreads() needs a privileged block around the call to Thread.interrupt()
Date Thu, 15 Nov 2007 19:22:43 GMT

    [ https://issues.apache.org/jira/browse/DERBY-2564?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#action_12542853
] 

Kathey Marsden commented on DERBY-2564:
---------------------------------------

I noticed looking at code coverage that this code is indeed covered by our tests, but  presumably
some test that does not run under security manager. Does anyone have an idea what test is
covering this code?


> ContextService.notifyAllActiveThreads() needs a privileged block around the call to Thread.interrupt()
> ------------------------------------------------------------------------------------------------------
>
>                 Key: DERBY-2564
>                 URL: https://issues.apache.org/jira/browse/DERBY-2564
>             Project: Derby
>          Issue Type: Bug
>          Components: Security
>    Affects Versions: 10.0.2.0, 10.0.2.1, 10.1.1.0, 10.1.2.1, 10.1.3.1, 10.2.1.6, 10.2.2.0
>            Reporter: Rick Hillegas
>
> It looks to me as though the call to interrupt() can raise a SecurityException. I think
this may give rise to another permission that we need to add to our template policy file and
to our security documentation.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message